lwippools.h, building error with memp.h

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

lwippools.h, building error with memp.h

yishuweiban@163.com
hi all
i am using lwip1.4.1_v1_5 from a  xilinx contrib,now i got exatly the same compile error as this post:
and i have nothing to add
i read the replis,someone said may be some compiler not strong enough for the  preprocessor,but i am using arm-none-eabi-gcc:
gcc version 4.9.2 20140904 (prerelease) (crosstool-NG linaro-1.13.1-4.9-2014.09 - Linaro GCC 4.9-2014.09) ,i think should be ok.

so how to solve the promblem?or any clues?or what compiler can make this right?
thanks for attention


_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users
Reply | Threaded
Open this post in threaded view
|

Re: lwippools.h, building error with memp.h

goldsimon@gmx.de
On 27.10.2018 19:21, [hidden email] wrote:
hi all
i am using lwip1.4.1_v1_5 from a  xilinx contrib,now i got exatly the same compile error as this post:
and i have nothing to add
i read the replis,someone said may be some compiler not strong enough for the  preprocessor,but i am using arm-none-eabi-gcc:
gcc version 4.9.2 20140904 (prerelease) (crosstool-NG linaro-1.13.1-4.9-2014.09 - Linaro GCC 4.9-2014.09) ,i think should be ok.

so how to solve the promblem?or any clues?or what compiler can make this right?

How can you be getting exactly the same compile error with gcc when the post you references was using CodeWarrior?

You might want to send *your* compiler error if someone should be able to help you...


Simon
_______________________________________________
lwip-users mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/lwip-users